# Varbase Webform

Provide webforms features and settings.

## Varbase Webform Module <a href="#varbase-tour-module" id="varbase-tour-module"></a>

{% hint style="info" %}
Varbase webform features are bundled through the **Varbase Webform** module as part of the **Varbase Core** module.\
GitHub: <https://github.com/Vardot/varbase_core>\
Drupal.org: <https://www.drupal.org/project/varbase_core>

After building a project using the `varbase-project` template, you can see the code of the **Varbase Webform** module in:
{% endhint %}

```
project_directory
|-- docroot
    |-- modules
        |-- contrib
            |-- varbase_core
                |-- modules
                    |-- varbase_webform
```

Brings in the following core and contributed modules to your site:

| Module                                                                        | Purpose                                                             |
| ----------------------------------------------------------------------------- | ------------------------------------------------------------------- |
| [**Webform**](https://www.drupal.org/project/webform)                         | Enables the creation of webforms and questionnaires.                |
| [**Webform Templates**](https://www.drupal.org/project/webform)               | Provides starter templates that can be used to create new webforms. |
| [**Webform UI**](https://www.drupal.org/project/webform)                      | Provides a user interface for building and maintaining webforms.    |
| [**Webform Views Integration**](https://www.drupal.org/project/webform_views) | Webform integration with views.                                     |
| [**ECA Webform**](https://www.drupal.org/project/eca)                         | Integrate ECA with the Webform module and its plugins.              |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.varbase.vardot.com/10.1.x/developers/understanding-varbase/core-components/varbase-core/varbase-webform.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
